Bug 419791 - c++ client core dumps when it fails to connect
c++ client core dumps when it fails to connect
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Alan Conway
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 09:17 EST by Gordon Sim
Modified: 2011-08-12 12:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:05:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2007-12-11 09:17:19 EST
Running any of the client tests (e.g. perftest, client_test...) when there is no
broker to connect to will cause the client to core dump.

(gdb) bt
#0  0x45b8b410 in __kernel_vsyscall ()
#1  0x45bd1069 in raise () from /lib/libc.so.6
#2  0x45bd2671 in abort () from /lib/libc.so.6
#3  0x46832c30 in __gnu_cxx::__verbose_terminate_handler () from
/usr/lib/libstdc++.so.6
#4  0x46830655 in std::set_unexpected () from /usr/lib/libstdc++.so.6
#5  0x4682f9ea in __cxa_bad_cast () from /usr/lib/libstdc++.so.6
#6  0x468304b9 in __gxx_personality_v0 () from /usr/lib/libstdc++.so.6
#7  0x4670c996 in _Unwind_Backtrace () from /lib/libgcc_s.so.1
#8  0x4670ce32 in _Unwind_Resume () from /lib/libgcc_s.so.1
#9  0x00bcbb15 in ~ConnectionImpl (this=0x8ec9cb0) at ./qpid/framing/Handler.h:39
#10 0x00bba1d8 in
boost::detail::sp_counted_impl_p<qpid::client::ConnectionImpl>::dispose
(this=0x8ec9e90)
    at /usr/include/boost/checked_delete.hpp:34
#11 0x00bb81f9 in ~Connection (this=0xbf9957dc) at
/usr/include/boost/detail/sp_counted_base_gcc_x86.hpp:145
#12 0x080530b8 in main (argc=Cannot access memory at address 0x7871
) at client_test.cpp:133
Comment 1 Alan Conway 2007-12-11 18:23:24 EST
Fixed in  Revision: 603411

URL: http://svn.apache.org/viewvc?rev=603411&view=rev
Log:
Fixed client crash on error opening a connection.

Modified:
    incubator/qpid/trunk/qpid/cpp/src/qpid/client/ConnectionHandler.cpp
    incubator/qpid/trunk/qpid/cpp/src/qpid/client/ConnectionImpl.cpp

Note You need to log in before you can comment on or make changes to this bug.